Subject: Re: [bug#40677] [PATCH v4] gnu: Add ffmpeg-jami.

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 15 May 2020 08:59:40 +0200

Hey,

> What should I use instead?

Here you can create the list statically using quasi-quotes.

>> If the first branch of the cond succeeds, we will never add this flag.
> That's what happens when you code late in night :)
> I should sit down with a cup of coffee and read Guile's manual seriously
> this time. Sorry for making your code review harder.

No worries.

>
> I think  %ffmpeg-linux-x86-configure-flags should be added only if
> linux is present, not just when on i686 or x86_64. I called it
> "%ffmpeg-linux-x86...", because it was inside of the "ifdef HAVE_LINUX"
> condition. But there was also a comment saying "Desktop Linux", which
> as always means very little. I'm not sure if it really requires the
> Linux kernel there or what.

Yes you are right.

> What about the output of the procedure? Is it okay for the list to be
> not proper? It will look something like this:
> ((flag1 flag2 ... flagN) (flag1 flag2 ... flagN))
> Is it okay because everything is treated as a pair in a recursive
> manner?

Nope the list should be flat, see:
https://www.gnu.org/software/guile/manual/html_node/Expression-Syntax.html.

Thanks,

Mathieu